// custom shaders for q3mexx1
// created by mexx

// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

// skyparms work like this: 

//*******************************************************
//*              Protoskyboxattempt  
//*******************************************************
textures/q3mexx1/bluesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/skies/stars.tga
        q3map_surfacelight 41
        q3map_sun   .2 .4 1 32     325 65

        skyparms env/space1 230 -
       {
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}



// based on textures/base_trim/proto_fence
// just with nomarks set

textures/q3mexx1/fence_nomarks
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm nomarks
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}




// based on textures/gothic_light/pentagram_light1_1K
// but not light emitting

textures/q3mexx1/pentagram_nolight
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	//mexx   q3map_surfacelight 1000
	//light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/q3mexx1/clip_metalsteps
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        //surfaceparm 	nolightmap //proto_addition 11/08/99
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm metalsteps
}




textures/q3mexx1/blocks17_beam
{
	
	qer_editorimage textures/gothic_block/blocks17_ow.tga

        {
		map textures/sfx/metalfloor_wall_14bglow2.tga
                tcmod scale 1.8 1.5
                tcmod rotate 8
                tcmod scroll .7 .5
                tcMod turb 0 .25 0 5.6
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/q3mexx1/beam.jpg
                tcmod scale 2 .5
                tcmod scroll 1 .43
	        blendFunc add
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks17_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}


textures/q3mexx1/blocks18_skin
{
	
	qer_editorimage textures/gothic_block/blocks18b_ow.tga

        {
		map textures/skin/skin6thrust.jpg
                //map textures/liquids/lavahell.tga
		tcMod turb 0 .27 0 .11
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks18b_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/q3mexx1/blocks18c_num_shiny
{
	qer_editorimage textures/q3mexx1/blocks18c_num.tga

        {
		map textures/liquids/proto_grueldark2.tga
                blendFunc GL_ONE GL_ZERO
                tcmod scale 2 2
                tcMod scroll 0 -.06
                tcMod turb 0 0.11 0 .05
        }
        {
		map textures/effects/tinfx3.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
       
	{
		map textures/q3mexx1/blocks18c_num.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}
